story1/urls.py
from django.urls import path

from . import views

app_name = 'story1'

urlpatterns = [
    path('', views.index, name='index'),
]

story3/urls.py
from django.urls import path

from . import views

app_name = 'story3'

urlpatterns = [
    path('', views.index, name='index'),
    path('extras/', views.extras, name='extras')
]

story6/urls.py
from django.urls import path
from . import views

app_name = 'story6'

urlpatterns = [
    path('', views.index, name='index'),
    path('add_event/', views.add_event, name='add_event'),
    path('register/<int:pk>/', views.register, name='register'),
]

story9/urls.py
from django.urls import path
from . import views

app_name = 'story9'

urlpatterns = [
    path('login/', views.login_request, name='login'),
    path('signup/', views.signup_request, name='signup'),
    path('logout/', views.logout_request, name='logout')
]

storyppw/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('story3.urls')),
    path('story3/', include('story3.urls')),
    path('story1/', include('story1.urls')),
    path('story5/', include('story5.urls')),
    path('story6/', include('story6.urls')),
    path('story7/', include('story7.urls')),
    path('story8/', include('story8.urls')),
    path('story9/', include('story9.urls'))
]

story6/models.py
from django.db import models

# Create your models here.
class Kegiatan(models.Model):
    nama = models.CharField(max_length=255)
    def __str__(self):
        return self.nama

class Orang(models.Model):
    nama = models.CharField(max_length=255)
    kegiatan = models.ForeignKey(Kegiatan, null=True, on_delete=models.CASCADE)
    def __str__(self):
        return self.nama

story6/forms.py
from django import forms
from .models import Orang, Kegiatan

class OrangForm(forms.ModelForm):
    # nama = forms.CharField(max_length=255)
    class Meta:
        model = Orang
        fields = {
            'nama',
        }
        widgets = {
            'nama' : forms.TextInput(attrs={'class': 'form-control'}),
        }

class KegiatanForm(forms.ModelForm):
    class Meta:
        model = Kegiatan
        fields = {
            'nama'
        }
        widgets = {
             'nama' : forms.TextInput(attrs={'class': 'form-control'}),
        }

story6/views.py
from django.contrib.auth.decorators import login_required
from django.shortcuts import render
from .models import Kegiatan, Orang
from .forms import OrangForm, KegiatanForm
from django.http import HttpResponseRedirect

@login_required
def index(request):
    events = Kegiatan.objects.all()
    participants = Orang.objects.all()
    response = {
        'events' : events,
        'participants' : participants,
    }
    return render(request, 'story6/index.html', response)

@login_required
def add_event(request):
    form = KegiatanForm(request.POST or None)
    if (request.method == 'GET'):
        response = {
            'form' : form
        }
        return render(request, 'story6/add_event.html', response)
    elif (form.is_valid() and request.method == 'POST'):
        form.save()
        return HttpResponseRedirect('/story6/')

@login_required
def register(request, pk):
    event = Kegiatan.objects.get(pk=pk)
    form = OrangForm(request.POST or None)
    if (request.method == 'GET'):
        response = {
            'form' : form,
        }
        return render(request, 'story6/register.html', response)
    elif (form.is_valid() and request.method == 'POST'):
        name = form.cleaned_data['nama']
        participant = Orang.objects.create(nama = name, kegiatan = event)
        participant.save()
        return HttpResponseRedirect('/story6/')

story6/templates/story6/add_event.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Story 6</title>
<link rel='stylesheet' href='{% static "story3/css/style.css"%}'>
{% endblock meta %}

{% block navbarmenus %}
<li class="nav-item">
    <a class="nav-link" href="{% url 'story6:index' %}">Daftar Kegiatan</a>
</li>
<li class="nav-item">
    <a class="nav-link" href="{% url 'story6:add_event' %}">Tambah Kegiatan</a>
</li>
<li class="nav-item">
    <a class="nav-link" href="{% url 'story3:index' %}">Back to Story 3</a>
</li>
{% if user.is_authenticated %}
<li class="nav-item">
    <a class="nav-link" href="{% url 'story9:logout' %}">Logout</a>
</li>
{% endif %}
{% endblock navbarmenus %}

{% block content %}
<div class="main">
    <div class="section">
        <h1 class="section-title-h1">Tambah Kegiatan</h1>
        <div class="underline story6-tambahkegiatan"></div>
        <form action="" method="POST">
            {% csrf_token %}
            <div class="story6 field-wrapper">
                <div class="field-wrapper">
                    {{ form.nama }}
                </div>
                <button class="story5 btn">Tambah</button>
            </div>
        </form>
    </div>
</div>
{% endblock content %}

story6/templates/story6/index.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Story 6</title>
<link rel='stylesheet' href='{% static "story3/css/style.css"%}'>
{% endblock meta %}

{% block navbarmenus %}
<li class="nav-item">
    <a class="nav-link" href="{% url 'story6:index' %}">Daftar Kegiatan</a>
</li>
<li class="nav-item">
    <a class="nav-link" href="{% url 'story6:add_event' %}">Tambah Kegiatan</a>
</li>
<li class="nav-item">
    <a class="nav-link" href="{% url 'story3:index' %}">Back to Story 3</a>
</li>
{% if user.is_authenticated %}
<li class="nav-item">
    <a class="nav-link" href="{% url 'story9:logout' %}">Logout</a>
</li>
{% endif %}
{% endblock navbarmenus %}

{% block content %}
<div class="main">
    <div class="section">
        <h1 class="section-title-h1">Daftar Kegiatan</h1>
        <div class="underline story6-daftarkegiatan"></div>
        {% if events %}
        <div class="story6 daftar-kegiatan">
            {% for event in events %}
            <div class="story6 container-kegiatan">
                <p class="story6 nama-kegiatan">{{ event.nama }}</p>
                <p>Daftar peserta:</p>
                {% for participant in participants %}
                {% if participant.kegiatan == event %}
                    <p class="story6 peserta">{{participant.nama}}</p>
                {% endif %}
                {% endfor %}
                <a class="story5 btn-a" href="{% url 'story6:register' event.pk %}">
                    Daftar
                </a>
            </div>
            {% endfor %}
        </div>
        {% else %}
            <p>Tidak ada kegiatan.</p>
        {% endif %}
    </div>
</div>
{% endblock content %}

story6/templates/story6/register.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Story 6</title>
<link rel='stylesheet' href='{% static "story3/css/style.css"%}'>
{% endblock meta %}

{% block navbarmenus %}
<li class="nav-item">
    <a class="nav-link" href="{% url 'story6:index' %}">Daftar Kegiatan</a>
</li>
<li class="nav-item">
    <a class="nav-link" href="{% url 'story6:add_event' %}">Tambah Kegiatan</a>
</li>
<li class="nav-item">
    <a class="nav-link" href="{% url 'story3:index' %}">Back to Story 3</a>
</li>
{% if user.is_authenticated %}
<li class="nav-item">
    <a class="nav-link" href="{% url 'story9:logout' %}">Logout</a>
</li>
{% endif %}
{% endblock navbarmenus %}

{% block content %}
<div class="main">
    <div class="section">
        <h1 class="section-title-h1">Daftar</h1>
        <div class="underline story6-daftar"></div>
        <form action="" method="POST">
            {% csrf_token %}
            <div class="story6 field-wrapper">
                <div class="field-wrapper">
                    <label for="{{ form.nama.id_for_label }}" class="label">Masukkan nama anda:</label>
                    {{ form.nama }}
                </div>
                <button class="story5 btn">Tambah</button>
            </div>
        </form>
    </div>
</div>
{% endblock content %}